pybind11 (2.9.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch python_paths_PR3764.patch
  * Build-Depends: pybuild-plugin-pyproject
    to build using pyproject.toml (PEP517)

 -- Drew Parsons <dparsons@debian.org>  Wed, 20 Apr 2022 16:24:53 +0200

pybind11 (2.9.1-2) unstable; urgency=medium

  * Team upload.
  * debian patch python_paths_PR3764.patch applies upstream PR#3764
    to fix python path used by cmake. Closes: #1006615.

 -- Drew Parsons <dparsons@debian.org>  Tue, 15 Mar 2022 20:54:33 +0100

pybind11 (2.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Fri, 11 Feb 2022 11:47:07 +0100

pybind11 (2.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch drop_lto_on_some_archs.patch

 -- Drew Parsons <dparsons@debian.org>  Wed, 05 Jan 2022 11:35:54 +0100

pybind11 (2.8.1-3) unstable; urgency=medium

  * Team upload.
  * upload pybind11 2.8.1 to unstable

 -- Drew Parsons <dparsons@debian.org>  Sat, 18 Dec 2021 22:47:30 +0100

pybind11 (2.8.1-2) experimental; urgency=medium

  * Team upload.
  * Standards-Version: 4.6.0
  * build command4 debian tests with VERBOSE=1

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 Dec 2021 12:53:18 +0100

pybind11 (2.8.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 07 Nov 2021 22:48:39 +0100

pybind11 (2.7.1-2) unstable; urgency=medium

  * Team upload.
  * [508b902] Add .gitlab-ci.yml
  * [48e392c] Drop LTO on some archs. (Closes: #1000780)

 -- Anton Gladky <gladk@debian.org>  Mon, 13 Dec 2021 19:55:33 +0100

pybind11 (2.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Aug 2021 02:17:27 +0200

pybind11 (2.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Fri, 23 Jul 2021 13:42:32 +0200

pybind11 (2.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Build-Depends: cmake (>= 3.18~), ninja-build, python3-wheel
  * refresh predownloaded debian/images for privacy protection using
    debian/get_images.sh

 -- Drew Parsons <dparsons@debian.org>  Sat, 30 Jan 2021 23:55:39 +0100

pybind11 (2.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Thu, 19 Nov 2020 01:28:13 +0800

pybind11 (2.6.0-2) unstable; urgency=medium

  * Team upload.
  * update debian patch test_cmake_pyversion.patch to process
    PYVERSION to find python before using PYTHON_VERSION.
    Otherwise test_async is skipped. Closes: #973794.
  * use help2man to generate a manpage for pybind11-config

 -- Drew Parsons <dparsons@debian.org>  Fri, 06 Nov 2020 18:09:24 +0800

pybind11 (2.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * add debian patches
    - skip_sphinxcontrib_doc.patch removes sphinxcontrib
      modules rsvgconverter and moderncmakedomain for doc build, since
      they are not yet packaged.
    - test_cmake_pyversion.patch configures ./tests for specific python
      version if PYVERSION is defined for cmake.
      Applied in debian/tests. Closes: #973012, #973295.
  * To avoid privacy breaches, predownload badge image files in docs,
    store in debian/images and install in html/_images.

 -- Drew Parsons <dparsons@debian.org>  Thu, 29 Oct 2020 03:44:25 +0800

pybind11 (2.5.0-5) unstable; urgency=medium

  * Team upload.
  * debian patch docs_skip_pytypes.patch skips building pytypes docs
    in order to build with sphinx 3.2.1. See upstream Issue #2404.
    Closes: #963659.
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Fri, 28 Aug 2020 11:09:42 +0800

pybind11 (2.5.0-4) unstable; urgency=medium

  * Team upload.
  * debian/tests pybind11 tests (pytest) Depends: python3-all-dev

 -- Drew Parsons <dparsons@debian.org>  Wed, 22 Apr 2020 12:07:03 +0800

pybind11 (2.5.0-3) unstable; urgency=medium

  * Team upload.
  * specify compiler (g++) for pybind11 (pytest) tests in debian/tests

 -- Drew Parsons <dparsons@debian.org>  Mon, 20 Apr 2020 10:56:44 +0800

pybind11 (2.5.0-2) unstable; urgency=medium

  * Team upload.
  * upload new upstream version to unstable

 -- Drew Parsons <dparsons@debian.org>  Sun, 19 Apr 2020 10:00:25 +0800

pybind11 (2.5.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * update API in debian test example:
    use PYBIND11_MODULE instead of deprecated PYBIND11_PLUGIN
  * add pybind11 tests to debian/tests with pytest-3
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Thu, 16 Apr 2020 23:37:30 +0800

pybind11 (2.4.3-2) unstable; urgency=medium

  * Team upload.
  * drop python-pybind11 (Python2 is deprecated). Closes: #937389.

 -- Drew Parsons <dparsons@debian.org>  Fri, 15 Nov 2019 14:27:37 +0800

pybind11 (2.4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 20 Oct 2019 12:41:47 +0800

pybind11 (2.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Sep 2019 14:14:59 +0800

pybind11 (2.3.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.4.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 02 Aug 2019 18:39:50 +0800

pybind11 (2.3.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - applies patch ignore_bogus_numpy_ABI_warning.patch
  * Standards-Version: 4.3.0
  * debhelper compatibility level 12
    Build-Depends: debhelper-compat (= 12)

 -- Drew Parsons <dparsons@debian.org>  Thu, 13 Jun 2019 21:12:54 +1000

pybind11 (2.2.4-2) unstable; urgency=medium

  * Team upload.
  * add debian patch ignore_bogus_numpy_ABI_warning.patch to ignore
    "RuntimeWarning: numpy.ufunc size changed, may indicate binary
    incompatibility" during pytest runs, as already done for
    numpy.dtype. Triggered by numpy upgrades when scipy is not built
    against the new numpy, not considered harmful. See discussions at
    https://github.com/numpy/numpy/pull/432
    https://github.com/scipy/scipy/issues/3863
    Closes: #917722.

 -- Drew Parsons <dparsons@debian.org>  Sun, 06 Jan 2019 09:58:56 +0100

pybind11 (2.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Standards-Version: 4.2.1
  * debian/control: remove ancient-python-version-field
    X-Python-Version, X-Python3-Version

 -- Drew Parsons <dparsons@debian.org>  Sat, 22 Sep 2018 10:26:31 +0800

pybind11 (2.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.2.3

 -- Drew Parsons <dparsons@debian.org>  Sat, 05 May 2018 22:36:18 +0800

pybind11 (2.2.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. Closes: #890364.
  * Standards-Version: 4.1.4

 -- Drew Parsons <dparsons@debian.org>  Fri, 27 Apr 2018 11:29:49 +0800

pybind11 (2.2.2-1) experimental; urgency=medium

  * New upstream version 2.2.2
  * Upgrade watch file to version 4
  * Move Eigen and add Numpy to Recommends
  * Point the VCS URIs to salsa.debian.org
  * Bump the debhelper version to 11
  * Bump the standards version to 4.1.3

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 15 Feb 2018 11:34:31 +0000

pybind11 (2.2.1-1) experimental; urgency=medium

  * New upstream version 2.2.1
  * Drop the patch queue, no longer required
  * Prevent multiple install of headers
  * Add new test dependency on Boost
  * Test query of includes via pybind11
  * Add recommended get-orig-source target
  * Fixup the nocheck and nodoc guards
    - Replace occurrences of findstring with filter
    - Use DEB_BUILD_OPTIONS instead of DEB_BUILD_PROFILES
  * Fixup whitespacing in rules file
  * Drop superfluous dependency on python-pytest
  * Filter egg-info directory with extend-diff-ignore
  * Fixup the Vcs-Browser URI
  * Bump the standards version to 4.1.0
  * Update copyright information and dates.
    Thanks to Herbert Fortes for reviewing

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 16 Sep 2017 17:40:27 +0100

pybind11 (2.1.1-1) experimental; urgency=medium

  * New upstream version 2.1.1
  * Drop numbering of the patch queue
  * Clean the docs using the upstream Makefile
  * Refactor the management of configuration arguments
  * Run tests for optional dependencies (eigen, numpy)
  * Bump standards version to 4.0.0, no changes required

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 20 Jul 2017 16:42:31 +0100

pybind11 (2.1.0-1) experimental; urgency=medium

  * Switch from git-dpm to gbp
  * New upstream version 2.1.0
  * Refresh the patch queue
  * Fixup the Vcs-Browser URI
  * Simplify the rules file
  * Update the packaging of the documentation
    - Use the Python 3 version of Sphinx and the RTD theme
    - Add new dependency on the breathe Sphinx extension
    - Call the upstream Makefile for the documentation
    - Install from and clean the docs build directory
  * Add DEP-8 tests for clang

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 25 Mar 2017 13:35:01 +0000

pybind11 (2.0.1-4) unstable; urgency=medium

  * Build the tests with the default Python 3 version.
    Thanks to Adrian Bunk (Closes: #867551)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 20 Jul 2017 14:56:01 +0100

pybind11 (2.0.1-3) unstable; urgency=medium

  * Run autopkgtests for all supported Python versions

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 25 Feb 2017 12:11:08 +0000

pybind11 (2.0.1-2) unstable; urgency=medium

  * Fix missing CMake package configuration in -dev package
    - New patch 0002-Arch-indep-CMake-package-configuration.patch
    - Install the missing CMake package configuration
    - Use CMake to build the autopkgtest example tests
    Thanks to Jason Rhinelander for reporting (Closes: #854502)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 23 Feb 2017 13:16:46 +0000

pybind11 (2.0.1-1) unstable; urgency=medium

  * New upstream release
  * Use missing sphinxdoc:Built-Using substitution
  * Fix clean filters to enable repeated builds.
    Thanks to Giovani Ferreira for the review

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 07 Jan 2017 17:36:51 +0000

pybind11 (2.0.0-1) unstable; urgency=medium

  * Remove gbp configuration in favor of git-dpm
  * Mangle upstream development versions
  * New upstream release
  * Add support for the nocheck build profile
    - Add versioned dependency on dpkg-dev
    - Mark build dependencies specific to testing as !nocheck
    - Do not build the test suite if nocheck is requested
  * Add support for the nodoc build profile
    - Mark build dependencies specific to the documentation as !nodoc
    - Add build dependency on sphinx-common for dh_sphinxdoc
    - Do not build the documentation if nodoc is requested

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 03 Jan 2017 15:44:46 +0000

pybind11 (2.0.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * Switch to git-dpm
  * Refresh patch queue
  * Add build dependency on pytest
  * Update HTTP proxy setup to the latest guidelines

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 23 Dec 2016 16:39:46 +0000

pybind11 (1.8.1-2) unstable; urgency=medium

  * Fixup the source package maintainer and uploaders.
    - Move myself to list of uploaders.
    - Set Debian Science as maintainer.
  * Install the upstream changelog.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 02 Dec 2016 11:32:07 +0000

pybind11 (1.8.1-1) unstable; urgency=low

  * Initial release. (Closes: #844597)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 22 Nov 2016 11:43:53 +0000
